Bump dart-lang/setup-dart from 0.3 to 1 (#512)

Bumps [dart-lang/setup-dart](https://github.com/dart-lang/setup-dart) from 0.3 to 1.
- [Release notes](https://github.com/dart-lang/setup-dart/releases)
- [Changelog](https://github.com/dart-lang/setup-dart/blob/main/CHANGELOG.md)
- [Commits](https://github.com/dart-lang/setup-dart/compare/v0.3...v1)

---
updated-dependencies:
- dependency-name: dart-lang/setup-dart
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Also bumped mono_repo to latest and made corresponding changes and cleanup to configuration

Signed-off-by: dependabot[bot] <support@github.com>
Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Co-authored-by: Kevin Moore <kevmoo@google.com>
7 files changed
tree: ee93dd04cdc16f74408877ff5a811ab6a0006f51
  1. .github/
  2. .gitignore
  3. README.md
  4. analysis_options.yaml
  5. api_benchmark/
  6. mono_repo.yaml
  7. protobuf/
  8. protoc_plugin/
  9. query_benchmark/
  10. tool/
README.md

Protobuf support for Dart

CI status pub package

Protocol Buffers (protobuf) are Google's language-neutral, platform-neutral, extensible mechanism for serializing structured data.

This repository is home to packages related to protobuf for Dart. It contains: